Bug 116434 - [MAINTAINER] sysutils/e2fsprogs: overhaul, prepare for new slave ports
[MAINTAINER] sysutils/e2fsprogs: overhaul, prepare for new slave ports
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Timur I. Bakeyev
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-18 10:30 UTC by matthias.andree
Modified: 2007-10-03 00:55 UTC (History)
1 user (show)

See Also:


Attachments
e2fsprogs-1.40.2_1.patch (9.39 KB, patch)
2007-09-18 10:30 UTC, matthias.andree
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description matthias.andree 2007-09-18 10:30:01 UTC
Supersedes: ports/116286
Supersedes: ports/116230

Changes submitted by Alejandro Pulver in ports/116286:
- Turn NLS knob into an option
- Reformat things a bit
- Avoid building/installing things rather than removing them afterwards

Changes by maintainer:
- Support new e2fsprogs-libblkid slave port (ports/116231)
- Get rid of pkg-install, use @exec option unconditionally (Alejandro
  Pulver suggested a different approach that is wasteful if /sbin
  and ${PREFIX}/sbin are within the same filesystem)

Removed file(s):
- pkg-install

Generated with FreeBSD Port Tools 0.77
Comment 1 Timur I. Bakeyev freebsd_committer 2007-09-18 11:58:54 UTC
Responsible Changed
From-To: freebsd-ports-bugs->timur

I'll take it.
Comment 2 Timur I. Bakeyev freebsd_committer 2007-09-18 12:12:25 UTC
State Changed
From-To: open->closed

This PR is superseded by ports/116434.
Comment 3 Timur I. Bakeyev freebsd_committer 2007-09-18 12:12:40 UTC
State Changed
From-To: closed->open

Oops, wrong PR number, sorry. Reopened.
Comment 4 dfilter freebsd_committer 2007-10-02 16:16:12 UTC
timur       2007-10-02 15:15:57 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/e2fsprogs   Makefile pkg-message pkg-plist 
  Removed files:
    sysutils/e2fsprogs   pkg-install 
  Log:
  Changes:
  - Support new e2fsprogs-libblkid slave port[1]
  - Get rid of pkg-install, use @exec option unconditionally[1]
  - Turn NLS knob into an option[2]
  - Avoid building/installing things rather than removing them afterwards[2]
  
  PR:             ports/116434
  Submitted by:   Matthias Andree <matthias.andree@gmx.de>[1]
                  Alejandro Pulver <alepulver@FreeBSD.org>[2]
  Approved by:    shaun(mentor)
  
  Revision  Changes    Path
  1.34      +45 -47    ports/sysutils/e2fsprogs/Makefile
  1.2       +0 -79     ports/sysutils/e2fsprogs/pkg-install (dead)
  1.2       +4 -0      ports/sysutils/e2fsprogs/pkg-message
  1.13      +3 -0      ports/sysutils/e2fsprogs/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Timur I. Bakeyev freebsd_committer 2007-10-03 00:55:23 UTC
State Changed
From-To: open->closed

Committed. Thanks!